## simple-image-reducer 1.0.2

=== Makefile ===
PKGNAME=simple-image-reducer
VERSION=1.0.2

SUBDIRS=po

PREFIX=/usr

BINDIR=${PREFIX}/bin
DATADIR=${PREFIX}/share

all:	simple-image-reducer $(PKGNAME).desktop

po/$(PKGNAME).pot:: subdirs

subdirs:	$(PKGNAME).desktop.in.h
	for d in $(SUBDIRS); do make -C $$d; [ $$? = 0 ] || exit 1; done

simple-image-reducer: simple-image-reducer.py
	sed "s/@VERSION@/$(VERSION)/g" $< >$@

%.desktop.in.h:	%.desktop.in
	intltool-extract --type=gettext/ini $<

%.desktop: %.desktop.in po/$(PKGNAME).pot po/*.po
	intltool-merge -u -d po/ $< $@

simple-image-reducer.spec: simple-image-reducer.spec.in Makefile
	sed "s/@VERSION@/$(VERSION)/g" simple-image-reducer.spec.in >$@

install:	all
	mkdir -p $(DESTDIR)$(BINDIR)
	mkdir -p $(DESTDIR)$(DATADIR)/pixmaps
	mkdir -p $(DESTDIR)$(DATADIR)/applications
	mkdir -p $(DESTDIR)$(DATADIR)/icons/hicolor/48x48/apps
	mkdir -p $(DESTDIR)$(DATADIR)/icons/hicolor/scalable/apps
	install -m 0755 simple-image-reducer $(DESTDIR)$(BINDIR)
	install -m 0644 ${PKGNAME}.desktop $(DESTDIR)$(DATADIR)/applications/${PKGNAME}.desktop
	install -m 0644 ${PKGNAME}.png $(DESTDIR)$(DATADIR)/pixmaps
	install -m 0644 ${PKGNAME}.png $(DESTDIR)$(DATADIR)/icons/hicolor/48x48/apps
	install -m 0644 ${PKGNAME}.svg $(DESTDIR)$(DATADIR)/icons/hicolor/scalable/apps
	touch --no-create $(DESTDIR)$(DATADIR)/icons/hicolor
	for d in $(SUBDIRS); do \
	(cd $$d; $(MAKE) DESTDIR=$(DESTDIR) install) \
		|| case "$(MFLAGS)" in *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
	[ -z "$(DESTDIR)" ] && update-desktop-database -q || true
	[ -z "$(DESTDIR)" ] && gtk-update-icon-cache $(DATADIR)/icons/hicolor || true

uninstall:
	rm -f $(DESTDIR)$(BINDIR)/simple-image-reducer
	rm -f $(DESTDIR)$(DATADIR)/applications/${PKGNAME}.desktop
	rm -f $(DESTDIR)$(DATADIR)/pixmaps/${PKGNAME}.png
	rm -f $(DESTDIR)$(DATADIR)/icons/hicolor/48x48/apps/${PKGNAME}.png
	rm -f $(DESTDIR)$(DATADIR)/icons/hicolor/scalable/apps/${PKGNAME}.svg
	for d in $(SUBDIRS); do \
	(cd $$d; $(MAKE) DESTDIR=$(DESTDIR) uninstall) \
		|| case "$(MFLAGS)" in *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
	touch --no-create $(DESTDIR)$(DATADIR)/icons/hicolor
	[ -z "$(DESTDIR)" ] && update-desktop-database -q || true
	[ -z "$(DESTDIR)" ] && gtk-update-icon-cache $(DATADIR)/icons/hicolor || true

dist: $(PKGNAME).spec
	mkdir -p .dist/${PKGNAME}-${VERSION}
	cp -a Makefile \
	    AUTHORS COPYING README ChangeLog \
	    ${PKGNAME}.py \
	    ${PKGNAME}.desktop.in \
	    ${PKGNAME}.png \
	    ${PKGNAME}.svg \
	    ${PKGNAME}.spec \
	    ${PKGNAME}.spec.in \
	    .dist/${PKGNAME}-${VERSION}
	mkdir -p .dist/${PKGNAME}-${VERSION}/po
	cp -a po/Makefile \
	    po/${PKGNAME}.pot \
	    po/*.po po/*.mo \
	    .dist/${PKGNAME}-${VERSION}/po
	cd .dist && tar cjf ../${PKGNAME}-${VERSION}.tar.bz2 ${PKGNAME}-${VERSION}
	rm -rf .dist

clean:
	@rm -fv *~
	@rm -fv *.pyc
	@rm -fv simple-image-reducer
	@rm -fv simple-image-reducer.desktop simple-image-reducer.desktop.in.h

=== debian/changelog ===
simple-image-reducer (1.0.2-6) unstable; urgency=medium

  * Update Homepage URL

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 17 Jul 2017 13:53:47 +0900

simple-image-reducer (1.0.2-5) unstable; urgency=medium

  * Change vcs from svn to git.
  * Bump Standards-Version to 4.0.0
  * debian/compat: Bump to 10
  * debian/control: Replace python-imaging by python-pil (Closes: #866479)
  * Change Maintainer from PAPT to myself.

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 06 Jul 2017 10:14:21 +0900

simple-image-reducer (1.0.2-4) unstable; urgency=medium

  * debian/patcher/fix_exif_module_name: Fix wrong module name.
    (Closes: #821009)
  * debian/control: Bump Standards-Version to 3.9.8.

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 09 May 2016 22:23:54 +0900

simple-image-reducer (1.0.2-3) unstable; urgency=medium

  * debian/watch: Move to new location. 

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 26 Nov 2015 14:37:07 +0900

simple-image-reducer (1.0.2-2) unstable; urgency=low

  [ Jakub Wilk ]
  * Add Vcs-* fields.

  [ TANIGUCHI Takaki ]
  * debian/control:
    + debhelper 9
    + Bump Standards-Version to 3.9.6.
  * debian/patches/fix_exif_module_name: Fix an import error. 
    (Closes: #798437)

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 26 Nov 2015 14:33:26 +0900

simple-image-reducer (1.0.2-1) unstable; urgency=low

  * Initial release (Closes: #607237)

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 16 Jan 2011 18:38:47 +0900

=== debian/control ===
Source: simple-image-reducer
Section: graphics
Priority: extra
Maintainer: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 10),
	dh-python,
	intltool
Standards-Version: 4.0.0
Homepage: https://github.com/henrythasler/simple-image-reducer
Vcs-Git: https://anonscm.debian.org/git/collab-maint/simple-image-reducer.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/simple-image-reducer.git

Package: simple-image-reducer
Architecture: all
Depends: ${misc:Depends},
	python,
	python-exif,
	python-pil,
	python-gtk2,
Description: GTK application to easily reduce and rotate images
 Simple Image Reducer is an GTK application to easily reduce and rotate
 images. It can be useful for processing digital photos before sending by
 email or uploading on the Web. Image files can be supplied to
 the application from the file manager using the context menu "Open with...",
 or dragging files to the main window.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- SHELL=/bin/bash

override_dh_auto_install:
	dh_auto_install -- SHELL=/bin/bash

## simple-image-reducer 1.0.2%2Bgit20191008

=== debian/rules ===
--- 
+++ 
@@ -10,10 +10,14 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@
+	dh $@ --with python3
 
 override_dh_auto_build:
 	dh_auto_build -- SHELL=/bin/bash
 
 override_dh_auto_install:
 	dh_auto_install -- SHELL=/bin/bash
+
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3
+

## simple-image-reducer 1.0.2+git20191008

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PKGNAME=simple-image-reducer
-VERSION=1.0.2
+VERSION=1.0.3
 
 SUBDIRS=po

=== po/Makefile ===
#
# Makefile for the PO files (translation) catalog
#

TOP	 = ../..

# What is this package?
NLSPACKAGE	= simple-image-reducer
POTFILE		= $(NLSPACKAGE).pot
INSTALL		= /usr/bin/install -c
INSTALL_DATA	= $(INSTALL) -m 644
INSTALL_DIR	= /usr/bin/install -d

# destination directory
INSTALL_NLS_DIR = $(DESTDIR)/usr/share/locale

# commands
DIFF		= /usr/bin/diff
GREP		= /bin/grep

# PO catalog handling
MSGMERGE	= msgmerge -v -N
XGETTEXT	= xgettext --default-domain=$(NLSPACKAGE) \
		  --add-comments --from-code=utf-8
MSGFMT		= msgfmt --statistics --verbose

# What do we need to do
POFILES		= $(wildcard *.po)
MOFILES		= $(patsubst %.po,%.mo,$(POFILES))
PYSRC		= $(wildcard ../*.py)
SRCFILES	= $(PYSRC)

all::  update-po $(MOFILES)

po_diff_and_mv_or_rm  = \
	if [ ! -f "$(1)" ] || ($(DIFF) "$(1)" "$(2)" | $(GREP) -v '^. "POT-Creation-Date:' | $(GREP) -q '^[<>] [^\#]'); then \
		echo "Creating/updating $(1)"; \
		mv -f $(2) $(1); \
	else \
		rm -f $(2); \
	fi

po_diff_and_mv_or_rm_func = \
	function po_diff_and_mv_or_rm () { \
		$(call po_diff_and_mv_or_rm,$$1,$$2) \
	}

$(POTFILE): $(SRCFILES)
	$(XGETTEXT) --keyword=_ --keyword=N_ $(SRCFILES)
	@$(call po_diff_and_mv_or_rm,$(POTFILE),$(NLSPACKAGE).po)

update-po: Makefile $(POTFILE) refresh-po

refresh-po: Makefile
	@$(po_diff_and_mv_or_rm_func); \
	for cat in $(POFILES); do \
		lang=`basename $$cat .po`; \
		if $(MSGMERGE) $$lang.po $(POTFILE) > $$lang.pot ; then \
			echo "$(MSGMERGE) of $$lang succeeded" ; \
			po_diff_and_mv_or_rm $$lang.po $$lang.pot; \
		else \
			echo "$(MSGMERGE) of $$lang failed" ; \
			rm -f $$lang.pot ; \
		fi; \
	done

clean:
	@rm -fv *mo *~ .depend

install: $(MOFILES)
	@for n in $(MOFILES); do \
	    l=`basename $$n .mo`; \
	    $(INSTALL_DIR) $(INSTALL_NLS_DIR)/$$l/LC_MESSAGES; \
	    $(INSTALL_DATA) --verbose $$n $(INSTALL_NLS_DIR)/$$l/LC_MESSAGES/$(NLSPACKAGE).mo; \
	done

uninstall:
	@for n in $(MOFILES); do \
	    l=`basename $$n .mo`; \
	    rm -f $(INSTALL_NLS_DIR)/$$l/LC_MESSAGES/$(NLSPACKAGE).mo; \
	done

%.mo: %.po
	$(MSGFMT) -o $@ $<

.PHONY: missing depend

=== debian/changelog ===
simple-image-reducer (1.0.2+git20191008-2) unstable; urgency=low

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Thu, 16 Sep 2021 23:07:10 -0400

simple-image-reducer (1.0.2+git20191008-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ TANIGUCHI Takaki ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Repository.
  * Bump Standards-Version to 4.4.1
  * d/rules: with python3
  * New upstream version 1.0.2+git20191008
    - Migrate to python3 and gio. (Closes: #885479)
  * d/patches: Drop
  * d/control: Change Maintainer to PAPT
  * d/salsa-ci.yml: Add

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 11 Oct 2019 17:30:50 +0900

simple-image-reducer (1.0.2-7) unstable; urgency=medium

  * Bump Stanrads-Version to 4.1.5
  * debian/compat: 11
  * d/control:
    - Move Vcs-* to salsa.d.o.
    - Change priority to optional

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 06 Jul 2018 16:04:03 +0900

=== debian/control ===
Source: simple-image-reducer
Section: graphics
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper-compat (= 13),
	python3,
	dh-python,
	intltool
Standards-Version: 4.5.1
Homepage: https://github.com/henrythasler/simple-image-reducer
Vcs-Git: https://salsa.debian.org/python-team/packages/simple-image-reducer.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/simple-image-reducer

Package: simple-image-reducer
Architecture: all
Depends: ${misc:Depends},
	${python3:Depends},
	python3-pil,
	python3-gi
Description: GTK application to easily reduce and rotate images
 Simple Image Reducer is an GTK application to easily reduce and rotate
 images. It can be useful for processing digital photos before sending by
 email or uploading on the Web. Image files can be supplied to
 the application from the file manager using the context menu "Open with...",
 or dragging files to the main window.

=== debian/rules ===
--- 
+++ 
@@ -20,4 +20,3 @@
 
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3
-
